package examples.ejb.extensions.readMostly;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;

/**
 * @author Copyright (c) 1999-2000 by BEA Systems, Inc. All Rights Reserved.
 */

public class StockBean implements EntityBean {

  // container-managed fields

  public String symbol;
  public double price;
  public double yearHigh;
  public double yearLow;
  public long   volume;
  
  public void setEntityContext(EntityContext c) {}
  public void unsetEntityContext() {}

  public void ejbActivate() {}
  public void ejbPassivate() {}
  
  public void ejbLoad() {}
  public void ejbStore() {}

  public void ejbRemove() {}

  public String getSymbol() { return symbol; }

  public double getPrice() { return price; }

  public double get52weekHigh() { return yearHigh; }
  
  public double get52weekLow() { return yearLow; }

  public long getVolume() { return volume; }


}
